View Issue Details

IDProjectCategoryView StatusLast Update
0027260mantisbtuipublic2020-09-18 19:28
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version2.25.0Fixed in Version2.25.0 
Summary0027260: Confusing redirection when editing profiles
Description

When editing a Global Profile from the User Profiles page (account_prof_menu_page.php), Mantis redirects to Global Profiles page (manage_prof_menu_page.php) after update.

This behavior is confusing and should be changed, so that the user is sent back to where they came from.

TagsNo tags attached.

Relationships

child of 0027256 resolveddregad Refactor Profiles management pages to display a list of records 

Activities

Related Changesets

MantisBT: master 6c6251c8

2020-09-01 13:33:36

dregad

Details Diff
Redirect to originating page

When editing a global profile from the Manage User Profile page,
Mantis redirects to the Manage Global Profile page, which is confusing.

We now return to the page from which the user submitted the Edit.

Fixes 0027260
Affected Issues
0027260
mod - account_prof_edit_page.php Diff File
mod - account_prof_menu_page.php Diff File
mod - account_prof_update.php Diff File

Issue History

Date Modified Username Field Change
2020-09-06 11:58 dregad New Issue
2020-09-06 11:58 dregad Status new => assigned
2020-09-06 11:58 dregad Assigned To => dregad
2020-09-06 11:58 dregad Relationship added child of 0027256
2020-09-06 12:12 dregad Note Added: 0064378
2020-09-18 19:28 dregad Changeset attached => MantisBT master 6c6251c8
2020-09-18 19:28 dregad Status assigned => resolved
2020-09-18 19:28 dregad Resolution open => fixed
2020-09-18 19:28 dregad Fixed in Version => 2.25.0